package com.dgtis.dorm.manager.db.dao;

import java.util.List;

import com.dgtis.dorm.manager.db.domain.Storage;
import org.apache.ibatis.annotations.Param;

public interface StorageMapper {

    /**
     * TODO ~~~~
     */
    Storage selectOneByExample(Storage example);

    /**
     * TODO ~~~~
     */
    List<Storage> selectByExample(Storage example);

    /**
     * TODO ~~~~
     */
    Storage selectByPrimaryKey(Integer id);

    /**
     * TODO ~~~~
     */
    int insertSelective(Storage record);

    /**
     * TODO ~~~~
     */
    int updateByPrimaryKeySelective(Storage record);

    /**
     * TODO ~~~~
     */
    int deleteByPrimaryKey(Integer id);
    /**
     * 方法描述  根据UUID查询
     *
     * @author huanghaoqi
     * @date 2018年12月07日 14:17:07
     */
    Storage selectByKey(@Param("key") String key);
    /**
     * 方法描述  根据key集合查询
     *
     * @author huanghaoqi
     * @date 2018年12月10日 09:38:31
     */
    List<Storage> selectByKeys(@Param("keys") List<String> keys);
}
